Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156844 - gcj ICE.
Summary: gcj ICE.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 17:08 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.0-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-06 09:11:09 UTC


Attachments (Terms of Use)
offending jar file (deleted)
2005-05-04 17:08 UTC, David Woodhouse
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 21293 None None None Never

Description David Woodhouse 2005-05-04 17:08:53 UTC
Install openoffice.org 1.9.100-1 on PPC.

Run...

gcj-dbtool -n /usr/lib/openoffice.org1.9.100/openoffice.gcjdb ; for JAR in `find
/usr/lib/openoffice.org1.9.100 -name \*.jar` ; do echo $JAR ; gcj -O2 -shared
-findirect-dispatch -Wl,-Bsymbolic -fjni -fPIC $JAR -o $JAR.so ; gcj-dbtool -a
/usr/lib/openoffice.org1.9.100/openoffice.gcjdb $JAR $JAR.so ;done

Observe it fail on /usr/lib/openoffice.org1.9.100/program/classes/avmedia.jar:

PlayerWindow.java: In class 'PlayerWindow':
PlayerWindow.java: In method 'PlayerWindow.LayoutComponents()':
PlayerWindow.java:0: internal compiler error: in set_value_handle, at tree-vn.c:179
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

This is gcc-4.0.0-2

Comment 1 David Woodhouse 2005-05-04 17:08:53 UTC
Created attachment 114028 [details]
offending jar file

Comment 2 Jakub Jelinek 2005-05-06 11:17:35 UTC
Sounds like PR21293.

Comment 3 Jakub Jelinek 2005-06-06 09:11:09 UTC
Should be fixed in gcc-4.0.0-9 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.